[comment {-*- tcl -*- doctools manpage}]
[manpage_begin tclyaml_sources n 1]
[include include/module.inc]
[titledesc {TclYAML - How To Get The Sources}]
[description]
[include include/welcome.inc]

[para] The audience of this document is anyone wishing to either have
just a look at TclYAML's source code, or build the packages, or to
extend and modify them.

[para] For builders and developers we additionally provide

[list_begin enum]
[enum] [term {TclYAML - License}].
[enum] [term {TclYAML - The Installer's Guide}].
[enum] [term {TclYAML - The Developer's Guide}].
[list_end]

respectively.

[section {Source Location}]

The official repository for TclYAML can be found at
[uri http://chiselapp.com/user/andreas_kupries/repository/tclyaml]

[section Retrieval]

Assuming that you simply wish to look at the sources, or build a
specific revision, the easiest way of retrieving it is to:

[list_begin enum]
[enum] Log into this site, as "anonymous", using the semi-random password in the captcha.
[enum] Go to the "Timeline".
[enum] Choose the revision you wish to have and 
[enum] follow its link to its detailed information page.
[enum] On that page, choose either the "ZIP" or "Tarball" link to get
a copy of this revision in the format of your choice.
[list_end]

[section {Source Code Management}]

For the curious (or a developer-to-be), the sources are managed by the
[uri http://www.fossil-scm.org {Fossil SCM}].

Binaries for popular platforms can be found directly at its
[uri http://www.fossil-scm.org/download.html {download page}].

[para]

With that tool available the full history can be retrieved via:

[example {
    fossil clone \
        http://chiselapp.com/user/andreas_kupries/repository/tclyaml \
        tclyaml.fossil
}]

followed by

[example {
    mkdir tclyaml
    cd tclyaml
    fossil open ../tclyaml.fossil
}]

to get a checkout of the head of the trunk.

[include include/feedback.inc]
[manpage_end]

